%define module_name     r8168
%define module_version  8.003.00
%define module_release  alt1

%define kversion	2.6.18
%define krelease	alt12
%define flavour		std-smp


%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net

Summary: Linux %module_name - a Realtek RTL8169/8168/8101 Ethernet Controller Driver module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.12
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=falseExterner

BuildRequires(pre): rpm-build-kernel

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
#BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release
Obsoletes:	kernel-modules-r1000-%kversion-%flavour

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
This is the Linux device driver released for RealTek RTL8168B/8111B 
and RTL8168C/8111C, Gigabit Ethernet controllers with PCI-Express 
interface.

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=$(pwd)/src modules

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a src/*.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%doc release_note.txt readme
%module_dir

%changelog
* Sun Feb 10 2008 Sergey Vlasov <vsu@altlinux.ru> 8.003.00-alt1.132626.12
- Build for kernel-image-std-smp-2.6.18-alt12.

* Tue Sep 25 2007 L.A. Kostis <lakostis@altlinux.ru> 8.003.00-alt1
- 8.003.00 version.

* Sun Aug 12 2007 L.A. Kostis <lakostis@altlinux.ru> 8.002.00-alt1
- initial build for ALTLinux.

